Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::PriorityModelPolicy Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::PriorityModelPolicy:

[legend]
Collaboration diagram for RTCORBA::PriorityModelPolicy:

[legend]
List of all members.

## Public Types
typedef PriorityModelPolicy_ptr | _ptr_type
typedef PriorityModelPolicy_var | _var_type
## Public Methods
virtual::RTCORBA::PriorityModel | priority_model (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual RTCORBA::Priority | server_priority (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
PriorityModelPolicy_ptr | _duplicate (PriorityModelPolicy_ptr obj)
PriorityModelPolicy_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PriorityModelPolicy_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Methods
| PriorityModelPolicy (void)
virtual | ~PriorityModelPolicy (void)
## Private Methods
| PriorityModelPolicy (const PriorityModelPolicy &)
void | operator= (const PriorityModelPolicy &)

## Member Typedef Documentation

typedef PriorityModelPolicy_ptr RTCORBA::PriorityModelPolicy::_ptr_type

| Reimplemented from CORBA::Policy.

typedef PriorityModelPolicy_var RTCORBA::PriorityModelPolicy::_var_type

| Reimplemented from CORBA::Policy.

## Constructor & Destructor Documentation

RTCORBA::PriorityModelPolicy::PriorityModelPolicy | ( | void |  | ) | `[protected]`

RTCORBA::PriorityModelPolicy::~PriorityModelPolicy | ( | void |  | ) | `[protected, virtual]`

RTCORBA::PriorityModelPolicy::PriorityModelPolicy | ( | const PriorityModelPolicy & |  | ) | `[private]`

## Member Function Documentation

RTCORBA::PriorityModelPolicy_ptr RTCORBA::PriorityModelPolicy::_duplicate | ( | PriorityModelPolicy_ptr | obj | ) | `[static]`

const char * RTCORBA::PriorityModelPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

virtual CORBA::Boolean RTCORBA::PriorityModelPolicy::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

PriorityModelPolicy_ptr RTCORBA::PriorityModelPolicy::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Policy.

PriorityModelPolicy_ptr RTCORBA::PriorityModelPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Policy.

void RTCORBA::PriorityModelPolicy::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Policy.

CORBA::Boolean RTCORBA::PriorityModelPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Policy.

void RTCORBA::PriorityModelPolicy::operator= | ( | const PriorityModelPolicy & |  | ) | `[private]`

virtual ::RTCORBA::PriorityModel RTCORBA::PriorityModelPolicy::priority_model | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_PriorityModelPolicy.

virtual RTCORBA::Priority RTCORBA::PriorityModelPolicy::server_priority | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_PriorityModelPolicy.

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp